# Urn Class Reference
[Internet standarts implementations]

URN is an absolute URI without authority part. More...

Inheritance diagram for Urn:
[legend]

List of all members.

## Public Member Functions

| getKnownSubSchemes ()
| isValid ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $schemeSpecificPart = null
| $knownSubSchemes

## Detailed Description

URN is an absolute URI without authority part.

Definition at line 17 of file Urn.class.php.

## Member Function Documentation

static Urn::create | ( |  | ) | `[static]`

Returns:
  Urn

Reimplemented from GenericUri.

Definition at line 33 of file Urn.class.php.

Referenced by GenericUri::getKnownSubSchemes().

Urn::getKnownSubSchemes | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 38 of file Urn.class.php.

Urn::isValid | ( |  | ) |

Reimplemented from GenericUri.

Definition at line 43 of file Urn.class.php.

References GenericUri::getAuthority().

Here is the call graph for this function:

## Member Data Documentation

Urn::$knownSubSchemes`[protected]`

Initial value:

     array(
                'urn'       => 'Urn',
                'mailto'    => 'Urn',
                'news'      => 'Urn',
                'isbn'      => 'Urn',
                'tel'       => 'Urn',
                'fax'       => 'Urn',
            )

Definition at line 21 of file Urn.class.php.

Urn::$schemeSpecificPart = null`[protected]`

Definition at line 19 of file Urn.class.php.

The documentation for this class was generated from the following file:

- main/Net/Urn.class.php